Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class ServerOpts

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.ServerOpts

    public class ServerOpts

extends java.lang.Object

Field Summary
`static byte` | `ALIAS_ONLY_OPTION`
`static byte` | `IGNORE_ALIASES_OPTION`
`static int` | `TYPE_ALIAS`
`static int` | `TYPE_AVOID`
`static int` | `TYPE_CLIENT_IP`
`static int` | `TYPE_OPTION`
`static int` | `TYPE_USESERVER`

Constructor Summary
`ServerOpts(java.lang.String command, java.lang.String value)`

Method Summary
`AcmServerInfo` | `add(AcmServerInfo serverInfo, byte defaultAlias)`
`int` | `find(AcmServerInfo[] acmServerInfo, int max)`
`java.net.InetAddress` | `getAddr()`
`byte` | `getAliasOptions()`
`java.lang.String` | `getCLIENT_IP()`
`int` | `getType()`
`boolean` | `match(AcmServerInfo serverInfo)`
`AcmServerInfo` | `merge(AcmServerInfo serverInfo, byte defaultAlias)`
`void` | `merge(ServerOpts server)`
`AcmServerInfo` | `mergeAlias(AcmServerInfo serverInfo)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ALIAS

    public static final int TYPE_ALIAS

See Also:
  Constant Field Values

### TYPE_AVOID

    public static final int TYPE_AVOID

See Also:
  Constant Field Values

### TYPE_USESERVER

    public static final int TYPE_USESERVER

See Also:
  Constant Field Values

### TYPE_CLIENT_IP

    public static final int TYPE_CLIENT_IP

See Also:
  Constant Field Values

### TYPE_OPTION

    public static final int TYPE_OPTION

See Also:
  Constant Field Values

### IGNORE_ALIASES_OPTION

    public static final byte IGNORE_ALIASES_OPTION

See Also:
  Constant Field Values

### ALIAS_ONLY_OPTION

    public static final byte ALIAS_ONLY_OPTION

See Also:
  Constant Field Values

Constructor Detail

### ServerOpts

    public ServerOpts(java.lang.String command,
                      java.lang.String value)
               throws AuthAgentException

Throws:
  `AuthAgentException`

Method Detail

### merge

    public void merge(ServerOpts server)

### add

    public AcmServerInfo add(AcmServerInfo serverInfo,
                             byte defaultAlias)

### merge

    public AcmServerInfo merge(AcmServerInfo serverInfo,
                               byte defaultAlias)

### mergeAlias

    public AcmServerInfo mergeAlias(AcmServerInfo serverInfo)

### match

    public boolean match(AcmServerInfo serverInfo)

### find

    public int find(AcmServerInfo[] acmServerInfo,
                    int max)

### getAliasOptions

    public byte getAliasOptions()

  Returns:
    Returns the aliasOptions.

### getCLIENT_IP

    public java.lang.String getCLIENT_IP()

  Returns:
    Returns the cLIENT_IP.

### getType

    public int getType()

  Returns:
    Returns the type.

### getAddr

    public java.net.InetAddress getAddr()

  Returns:
    Returns the addr.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.